Page MenuHomeFreeBSD

graphics/qgis-ltr, graphics/qgis: Fix build after textproc/txt2tags update
ClosedPublic

Authored by lbartoletti on Feb 10 2020, 4:09 PM.

Details

Summary

The FreeBSD package builder complains about encoding problems after [1]. This happens, because newer versions of textproc/txt2tags do not need the option '--encoding=utf-8' any more[2].

The patch is a workaround to remove such encoding entries from the QGIS port, until QGIS project changes upstream for newer txt2tags versions.

While I'm here, replace sed commands by a patch file [3]

[1] http://svnweb.freebsd.org/changeset/ports/525495
[2] https://github.com/txt2tags/txt2tags/blob/v3/CHANGELOG.md#35-2020-02-01
[3] https://reviews.freebsd.org/D23188#511597

Test Plan

11/12/13 i386/amd64

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

lbartoletti created this revision.Feb 10 2020, 4:09 PM
tcberner accepted this revision.Feb 21 2020, 6:56 PM

Sorry for letting this sit for a while, feel free to ping me when I don't respond within a few days.

Looks good to me.

This revision is now accepted and ready to land.Feb 21 2020, 6:56 PM

Sorry for letting this sit for a while, feel free to ping me when I don't respond within a few days.

No worries ;)

@rhurlin_gwdg.de

What's your preference?

  • I commit this PR and you remove patches for the next releases (released yesterday ;) )
  • I commit your patch to bump qgis-ltr to 3.10.3 and qgis to 3.12?
In D23602#522758, @lbartoletti_tuxfamily.org wrote:

@rhurlin_gwdg.de

What's your preference?

  • I commit this PR and you remove patches for the next releases (released yesterday ;) )
  • I commit your patch to bump qgis-ltr to 3.10.3 and qgis to 3.12?

Hi Loïc,
Thanks again for the patches. I would prefer your first suggestion, if you commit this PR and I do the rest.

In D23602#522758, @lbartoletti_tuxfamily.org wrote:

@rhurlin_gwdg.de

What's your preference?

  • I commit this PR and you remove patches for the next releases (released yesterday ;) )
  • I commit your patch to bump qgis-ltr to 3.10.3 and qgis to 3.12?

Hi Loïc,
Thanks again for the patches. I would prefer your first suggestion, if you commit this PR and I do the rest.

Commited, Thanks!